	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "graph3")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_y_min", 25.00)
	call psetc("subpage_x_date_max", "2012-03-06 12:00:00")
	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_y_position", 2.00)
	call psetr("subpage_y_max", 75.00)
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_date_min", "2012-03-01 12:00:00")

	call psetr("axis_tick_label_height", 0.40)
	call psetc("axis_orientation", "vertical")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_tick_label_colour", "navy")
	call psetc("axis_type", "regular")
	call psetc("axis_grid", "on")
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call psetc("axis_orientation", "horizontal")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_type", "date")
	call psetr("axis_days_label_height", 0.40)
	call psetc("axis_grid", "on")
	call psetr("axis_months_label_height", 0.40)
	call psetr("axis_years_label_height", 0.50)
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call psetc("graph_bar_colour", "blue")
	call pset1c("graph_curve_date_x_values", (/"2012-03-02 00:00:00", "2012-03-02 12:00:00", "2012-03-03 00:00:00"/), 3)
	call pset1r("graph_bar_y_upper_values", (/50.00, 30.00, 50.00/), 3)
	call psetc("graph_bar_justification", "left")
	call psetr("graph_bar_width", 10800.00)
	call psetc("graph_type", "bar")
	call pgraph

	call psetc("graph_bar_colour", "red")
	call pset1c("graph_curve_date_x_values", (/"2012-03-04 00:00:00", "2012-03-04 12:00:00", "2012-03-05 00:00:00"/), 3)
	call pset1r("graph_bar_y_upper_values", (/60.00, 40.00, 30.00/), 3)
	call psetc("graph_bar_justification", "left")
	call psetr("graph_bar_width", 21600.00)
	call psetc("graph_type", "bar")
	call pgraph

	call pset1c("text_lines", (/"Bar Justification"/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
